You are not logged in.

#1 2022-05-07 16:21:19

localhorst
Member
Registered: 2019-06-12
Posts: 22

Pacman find lost dependencies

Hi all, I tried to clean up my system today with the command: pacman -Rs $(pacman -Qdttq)

The result is that it wants to uninstall a lot of packages that I need like bluez or plasma-desktop. There must be a bug here or a significant package is missing which makes all these dependencies obsolete.

Is there a way to check which package is missing? To me it looks like it wants to delete the whole system.

pacman -Rs $(pacman -Qdttq)

Pakete (271) aalib-1.4rc5-14  bluez-5.64-2  bluez-qt-5.93.0-1  ceph-libs-15.2.14-5  cmake-3.23.1-1  farstream-0.2.9-3  freeglut-3.2.2-2  gcr-3.41.0-2  gdb-11.2-1  gdb-common-11.2-1  glew-2.2.0-3  glew1.10-1.10.0-3  gssdp-1.4.0.1-1
             gst-plugins-good-1.20.2-1  gtkspell-2.0.16-8  gupnp-1:1.4.3-1  gupnp-igd-1.2.0-2  imlib2-1.9.0-3  jsoncpp-1.9.5-2  kdelibs4support-5.93.0-1  kemoticons-5.93.0-1  kinfocenter-5.24.5-1  kmenuedit-5.24.5-1
             kunitconversion-5.93.0-1  lib32-at-spi2-atk-2.38.0-2  lib32-at-spi2-core-2.44.1-1  lib32-atk-2.38.0-1  lib32-cairo-1.17.6-2  lib32-colord-1.4.6-1  lib32-dbus-glib-0.112-2  lib32-flac-1.3.4-2  lib32-freeglut-3.2.2-2
             lib32-fribidi-1.0.12-1  lib32-gdk-pixbuf2-2.42.8-1  lib32-giflib-5.2.1-1  lib32-glew1.10-1.10.0-5  lib32-glib-networking-2.72.0-1  lib32-gmp-6.2.1-1  lib32-gnutls-3.7.4-1  lib32-gstreamer-1.20.2-1  lib32-gtk2-2.24.33-1
             lib32-gtk3-3.24.33-1  lib32-imlib2-1.9.0-2  lib32-json-glib-1.6.6-2  lib32-libappindicator-gtk2-12.10.0-13  lib32-libasyncns-0.8+3+g68cd5af-2  lib32-libcaca-0.99.beta20-1  lib32-libcanberra-1:0.30+r2+gc0620e4-1
             lib32-libcups-2.4.1-1  lib32-libcurl-compat-7.83.0-1  lib32-libcurl-gnutls-7.83.0-1  lib32-libdatrie-0.2.13-1  lib32-libdbusmenu-glib-16.04.0-4  lib32-libdbusmenu-gtk2-16.04.0-4  lib32-libepoxy-1.5.10-1
             lib32-libgcrypt15-1.5.6-7  lib32-libidn11-1.33-2  lib32-libindicator-gtk2-12.10.1-8  lib32-libjpeg6-turbo-1.5.3-2  lib32-libltdl-2.4.7-1  lib32-libmikmod-3.3.11.1-4  lib32-libmodplug-0.8.9.0-4  lib32-libnm-1.36.4-1
             lib32-libnsl-2.0.0-1  lib32-libogg-1.3.5-1  lib32-libpng12-1.2.59-2  lib32-libproxy-0.4.17-2  lib32-libpulse-15.0-2  lib32-librsvg-2:2.54.1-1  lib32-librtmp0-2.4-4  lib32-libsndfile-1.1.0-1  lib32-libsoup-2.74.2-1
             lib32-libthai-0.1.29-1  lib32-libtheora-1.1.1-13  lib32-libtiff4-3.9.7-5  lib32-libudev0-shim-1-4  lib32-libusb-1.0.26-1  lib32-libva-2.14.0-1  lib32-libvdpau-1.5-1  lib32-libvorbis-1.3.7-1  lib32-libvpx1.3-1.3.0-2
             lib32-libwebp-1.2.2-1  lib32-libwrap-7.6.31-3  lib32-libxcomposite-0.4.5-1  lib32-libxft-2.3.4-1  lib32-libxinerama-1.1.4-1  lib32-libxkbcommon-1.4.0-1  lib32-libxmu-1.1.3-1  lib32-libxt-1.2.1-1  lib32-libxtst-1.2.3-2
             lib32-libxv-1.0.11-2  lib32-mpg123-1.29.3-1  lib32-nettle-3.7.3-1  lib32-openal-1.22.0-1  lib32-openssl-1.0-1.0.2.u-2  lib32-opus-1.3.1-2  lib32-orc-0.4.32-2  lib32-pango-1:1.50.7-1  lib32-pipewire-1:0.3.51-1
             lib32-pixman-0.40.0-1  lib32-rest-0.8.1-4  lib32-sdl12-compat-1.2.52-3  lib32-sdl2_image-2.0.5-2  lib32-sdl2_mixer-2.0.4-1  lib32-sdl2_ttf-2.0.18-1  lib32-sdl_image-1.2.12-7  lib32-sdl_mixer-1.2.12-3
             lib32-sdl_ttf-2.0.11-5  lib32-smpeg-0.4.5-3  lib32-tdb-1.4.6-1  libcaca-0.99.beta20-1  libcurl-compat-7.83.0-1  libcurl-gnutls-7.83.0-1  libdbusmenu-glib-16.04.0-5  libdbusmenu-gtk2-16.04.0-5  libdv-1.0.0-9
             libgadu-1.12.2-13  libgcrypt15-1.5.6-6  libical-3.0.14-3  libid3tag-0.15.1b-11  libidn11-1.33-2  libindicator-gtk2-12.10.1-10  libjpeg6-turbo-1.5.3-2  libmbim-1.26.4-1  libmikmod-3.3.11.1-4  libmm-glib-1.18.8-1
             libndp-1.8-1  libnewt-0.52.21-8  libnice-0.1.19-1  libnm-1.36.4-1  libpgm-5.3.128-2  libpng12-1.2.59-2  libpurple-2.14.9-1  libqmi-1.30.6-1  libqrtr-glib-1.2.2-2  librtmp0-2.4-5  libshout-1:2.4.6-1  libteam-1.31-5
             libtiff4-3.9.7-5  libudev0-shim-1-4  libuninameslist-20211114-1  libvpx1.3-1.3.0-3  libwrap-7.6.31-3  mingw-w64-binutils-2.38-2  mingw-w64-crt-10.0.0-1  mingw-w64-headers-10.0.0-1  mingw-w64-winpthreads-10.0.0-1
             mobile-broadband-provider-info-20220315-1  modemmanager-1.18.8-1  modemmanager-qt-5.93.0-1  mpg123-1.29.3-2  networkmanager-1.36.4-1  networkmanager-qt-5.93.0-1  ninja-1.10.2-1  node-gyp-9.0.0-1
             nodejs-lts-erbium-12.22.12-2  nodejs-nopt-5.0.0-2  oath-toolkit-2.6.7-1  openssl-1.0-1.0.2.u-1  opusfile-0.12-2  perl-parse-yapp-1.21-4  polkit-kde-agent-5.24.5-1  potrace-1.16-2  ppp-2.4.9-1  protobuf-c-1.4.0-3
             pystring-1.1.3.git1-1  python-cachecontrol-1:0.12.6-4  python-colorama-0.4.4-6  python-contextlib2-0.6.0.post1-6  python-distlib-0.3.4-1  python-filelock-3.4.2-1  python-html5lib-1.1-11  python-msgpack-1.0.3-1
             python-pep517-0.12.0-4  python-platformdirs-2.5.0-1  python-progress-1.6-5  python-resolvelib-0.5.5-4  python-retrying-1.3.3-13  python-toml-0.10.2-7  python-tomli-2.0.1-1  python-webencodings-0.5.1-9  qca-qt5-2.3.4-3
             qt5-sensors-5.15.3+kde+r0-1  rhash-1.4.2-1  rust-1:1.60.0-1  sdl2_image-2.0.5-2  sdl2_mixer-2.0.4-7  sdl2_ttf-2.0.18-1  sdl_image-1.2.12-7  sdl_mixer-1.2.12-11  sdl_ttf-2.0.11-6  semver-7.3.7-1  slang-2.3.2-2
             smpeg-0.4.5-5  socat-1.7.4.3-1  source-highlight-3.1.9-7  startup-notification-0.12-7  systemsettings-5.24.5-1  telepathy-glib-0.24.2-2  tinyxml-2.6.2-9  twolame-0.4.0-2  vulkan-tools-1.3.207-1  wavpack-5.4.0-1
             wayland-utils-1.0.0-2  xapian-core-1:1.4.19-2  xorg-xdpyinfo-1.3.3-4  yaml-cpp-0.7.0-2  zeromq-4.3.4-2  archlinux-appstream-data-20220422-1  aria2-1.36.0-1  bluedevil-1:5.24.5-1  breeze-gtk-5.24.5-1  drkonqi-5.24.5-1
             elfutils-0.187-1  extra-cmake-modules-5.93.0-1  fontforge-20220308-1  go-2:1.18.1-1  gsl-2.7.1-1  gvfs-1.50.1-1  kde-gtk-config-5.24.5-1  kdeplasma-addons-5.24.5-1  kgamma5-5.24.5-1  khotkeys-5.24.5-1  kscreen-5.24.5-1
             ksshaskpass-5.24.5-1  kwallet-pam-5.24.5-1  kwrited-5.24.5-1  lib32-gst-plugins-base-libs-1.20.2-1  lib32-libid3tag-0.15.1b-2  lib32-libxslt-1.1.35-1  lib32-ocl-icd-2.3.1-1  lib32-rust-libs-1:1.60.0-1
             lib32-v4l-utils-1.22.1-1  libcroco-0.6.13-2  libkipi-22.04.0-1  libkipi-debug-22.04.0-1  libksane-22.04.0-1  libotr-4.1.1-3  libpeas-1.32.0-1  lld-13.0.1-1  meson-0.62.1-1  mingw-w64-gcc-11.2.0-1  nasm-2.15.05-1
             npm-8.5.5-1  ocl-icd-2.3.1-1  opencl-headers-2:2022.01.04-1  opencolorio-2.1.1-2  oxygen-5.24.5-1  patchelf-0.14.5-1  perl-xml-parser-2.46-3  pidgin-2.14.9-1  plasma-browser-integration-5.24.5-1  plasma-desktop-5.24.5-1
             plasma-disks-5.24.5-1  plasma-nm-5.24.5-1  plasma-pa-5.24.5-1  plasma-systemmonitor-5.24.5-1  plasma-vault-5.24.5-1  plasma-workspace-wallpapers-5.24.5-1  powerdevil-5.24.5-1  python-dnspython-1:2.2.1-1
             python-markdown-3.3.7-1  python-pip-21.0-1  python-virtualenv-20.11.0-1  quazip-qt5-1.3-1  rsync-3.2.4-1  samba-4.16.1-2  sddm-kcm-5.24.5-1  steam-native-runtime-1.0.0.70-3  xdg-desktop-portal-kde-5.24.5-1
             zeitgeist-1.0.4-1

Gesamtgröße der entfernten Pakete:  3222,14 MiB

:: Möchten Sie diese Pakete entfernen? [J/n] 

Offline

#2 2022-05-07 16:24:25

Scimmia
Fellow
Registered: 2012-09-01
Posts: 9,209

Re: Pacman find lost dependencies

First off, you probably want to drop the second 't'.

Anything that you specifically want should be explicitly installed. See pacman -D.

Offline

#3 2022-05-07 16:55:59

localhorst
Member
Registered: 2019-06-12
Posts: 22

Re: Pacman find lost dependencies

Thanks for the reply. I have now removed the second "t". I wonder why it wants to uninstall plasma-desktop.

Abhängigkeiten werden geprüft …
:: gajim benötigt optional farstream: start audio and video chat
:: gajim benötigt optional gst-plugins-good: for video/voice support
:: gajim benötigt optional gupnp-igd: request your router to forward port for file transfer
:: phonon-qt5-gstreamer benötigt optional gst-plugins-good: PulseAudio support and good codecs
:: powerdevil benötigt optional kinfocenter: for the Energy Information KCM
:: qt5-multimedia benötigt optional gst-plugins-good: camera support, additional plugins
:: vlc benötigt optional twolame: TwoLAME mpeg2 encoder plugin
:: vlc benötigt optional libshout: shoutcast/icecast output plugin
:: vlc benötigt optional aalib: ASCII art video output
:: webkit2gtk benötigt optional gst-plugins-good: media decoding

Pakete (86) aalib-1.4rc5-14  cmake-3.23.1-1  farstream-0.2.9-3  glew-2.2.0-3  gssdp-1.4.0.1-1  gst-plugins-good-1.20.2-1  gtkspell-2.0.16-8  gupnp-1:1.4.3-1  gupnp-igd-1.2.0-2  jsoncpp-1.9.5-2  kdelibs4support-5.93.0-1
            kemoticons-5.93.0-1  kinfocenter-5.24.5-1  kmenuedit-5.24.5-1  kunitconversion-5.93.0-1  libdv-1.0.0-9  libgadu-1.12.2-13  libnice-0.1.19-1  libpurple-2.14.9-1  libshout-1:2.4.6-1  libuninameslist-20211114-1
            mingw-w64-binutils-2.38-2  mingw-w64-crt-10.0.0-1  mingw-w64-headers-10.0.0-1  mingw-w64-winpthreads-10.0.0-1  ninja-1.10.2-1  polkit-kde-agent-5.24.5-1  potrace-1.16-2  protobuf-c-1.4.0-3  pystring-1.1.3.git1-1
            python-filelock-3.4.2-1  python-platformdirs-2.5.0-1  rhash-1.4.2-1  rust-1:1.60.0-1  socat-1.7.4.3-1  startup-notification-0.12-7  systemsettings-5.24.5-1  telepathy-glib-0.24.2-2  tinyxml-2.6.2-9  twolame-0.4.0-2
            vulkan-tools-1.3.207-1  wavpack-5.4.0-1  wayland-utils-1.0.0-2  xapian-core-1:1.4.19-2  xorg-xdpyinfo-1.3.3-4  yaml-cpp-0.7.0-2  archlinux-appstream-data-20220422-1  aria2-1.36.0-1  elfutils-0.187-1
            extra-cmake-modules-5.93.0-1  fontforge-20220308-1  go-2:1.18.1-1  gsl-2.7.1-1  kde-gtk-config-5.24.5-1  kdeplasma-addons-5.24.5-1  kgamma5-5.24.5-1  khotkeys-5.24.5-1  kwallet-pam-5.24.5-1  kwrited-5.24.5-1
            lib32-rust-libs-1:1.60.0-1  libcroco-0.6.13-2  libkipi-22.04.0-1  libkipi-debug-22.04.0-1  libksane-22.04.0-1  libpeas-1.32.0-1  lld-13.0.1-1  meson-0.62.1-1  mingw-w64-gcc-11.2.0-1  nasm-2.15.05-1  opencolorio-2.1.1-2
            oxygen-5.24.5-1  patchelf-0.14.5-1  perl-xml-parser-2.46-3  pidgin-2.14.9-1  plasma-browser-integration-5.24.5-1  plasma-desktop-5.24.5-1  plasma-disks-5.24.5-1  plasma-pa-5.24.5-1  plasma-systemmonitor-5.24.5-1
            plasma-vault-5.24.5-1  python-virtualenv-20.11.0-1  quazip-qt5-1.3-1  rsync-3.2.4-1  sddm-kcm-5.24.5-1  xdg-desktop-portal-kde-5.24.5-1  zeitgeist-1.0.4-1

Gesamtgröße der entfernten Pakete:  2752,44 MiB

Offline

#4 2022-05-07 17:00:55

Scimmia
Fellow
Registered: 2012-09-01
Posts: 9,209

Re: Pacman find lost dependencies

It wants to uninstall it because it was only installed as a dependency of another package, which you apparently removed at some point. plasma-meta, maybe?

Offline

#5 2022-05-07 17:21:31

localhorst
Member
Registered: 2019-06-12
Posts: 22

Re: Pacman find lost dependencies

Yes that was my salvation, in fact I uninstalled plasma-meta. Have now cleaned up the system and it works. Thanks a lot and have a nice weekend!

Offline

Board footer

Powered by FluxBB